ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kuiper, Arnout" <Arnout.Kui...@nl.origin-it.com>
Subject RE: SAX 1.0 vs SAX 2.0
Date Fri, 21 Apr 2000 06:38:35 GMT
> From: rubys@us.ibm.com [mailto:rubys@us.ibm.com]
> Choices are:
> 
>    1) Stay with SAX 1.0 and accept the deprecation warnings 
> for .  Note:
>    there are a *LOT* of deprecation warnings.  Screen fulls.  
> Many screen
>    fulls.
> 
>    2) Stay with SAX 1.0 and turn off deprecation warnings on 
> Ant builds.
> 
>    3) Go with SAX 2.0.  This makes Sun's parser not an option 
> for now, but
>    presumably that will be rectified.

Let's start out with option 2, SAX 1.0 (we could still use
ProjectX temporarily to circumvent the warnings). When JAXP
supports SAX 2.0, and SAX 2.0 is out of pre-release, switchover
to option 3.

Last time I checked, SAX 2.0 was still in prerelease, which
might indicate that the API is not 100% stable yet. That's
an argument for the SAX 1.0 route for the moment.

My Hfl. 0,02

  Arnout

Mime
View raw message